Bug 20275 - Add comment to let users know they can define multiple plugindirs
Summary: Add comment to let users know they can define multiple plugindirs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 15879
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-22 16:46 UTC by Nick Clemens
Modified: 2018-03-26 12:08 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20275: Add comment to let user know they can define multiple plugindirs (925 bytes, patch)
2018-02-22 16:48 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20275: Add comment to let user know they can define multiple plugindirs (1.65 KB, patch)
2018-03-14 11:10 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20275: Add comment to let user know they can define multiple plugindirs (1.70 KB, patch)
2018-03-14 13:57 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20275: Add comment to let user know they can define multiple plugindirs (1.77 KB, patch)
2018-03-18 21:45 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2018-02-22 16:46:02 UTC

    
Comment 1 Nick Clemens 2018-02-22 16:48:40 UTC
Created attachment 72093 [details] [review]
Bug 20275: Add comment to let user know they can define multiple plugindirs
Comment 2 M. Tompsett 2018-02-28 05:33:07 UTC
Shouldn't this also modify debian/templates/koha-conf.xml.in?

Though, we also probably have a koha documentation bug report on hand:
https://koha-community.org/manual/18.05/en/html/14_plugins.html?highlight=plugin
Strange no mention of this parameter in the manual.
References on the wiki don't mention it, but the kitchen sink plug readme.md seems to mention pluginsdir in passing.
Comment 3 Nick Clemens 2018-03-14 11:10:49 UTC
Created attachment 72838 [details] [review]
Bug 20275: Add comment to let user know they can define multiple plugindirs
Comment 4 M. Tompsett 2018-03-14 13:57:08 UTC
Created attachment 72866 [details] [review]
Bug 20275: Add comment to let user know they can define multiple plugindirs

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 5 Katrin Fischer 2018-03-18 21:45:18 UTC
Created attachment 73077 [details] [review]
Bug 20275: Add comment to let user know they can define multiple plugindirs

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>



Current patch-complexity: Trivial patch
Comment 6 Jonathan Druart 2018-03-23 15:36:45 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2018-03-26 12:08:08 UTC
Enhancement, not backported for 17.11